Name:          keurocalc
Version:       1.0.0
Release:       2.rc2%{?dist}.12
Summary:       KEurocalc is a universal currency converter and calculator

License:       GPLv2
Group:         Applications/Productivity

URL:           http://opensource.bureau-cornavin.com/%{name}/
Source:        http://opensource.bureau-cornavin.com/%{name}/%{name}-%{version}.tgz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs4-devel, gettext, cmake

%description
KEuroCalc is a universal currency converter and calculator. It
can convert from and to many currencies, either with a fixed
conversion rate or a variable conversion rate. It directly
downloads the latest variable rates through the Internet


%prep
%setup -q

%build

%{__cmake} -DCMAKE_INSTALL_PREFIX=%{_prefix} .

%{__make} VERBOSE=1 %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install


# locale's
%find_lang %{name} || touch %{name}.lang

%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING* TODO
%{_bindir}/curconvd
%{_bindir}/%{name}
%{_datadir}/kde4/apps/%{name}/
%{_datadir}/kde4/apps/curconvd/
%{_docdir}/HTML/??/%{name}/
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png
%{_datadir}/applications/kde4/%{name}.desktop


%Changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2.rc2.12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2.rc2.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.0-2.rc2.10
- Rebuilt for GCC 5 C++11 ABI change

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2.rc2.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-2.rc2
- BR: kdelibs4-devel
- omit hard dep on kde-filesystem (pulled in implicitly via kde runtime pkgs)

* Wed Feb 27 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.0-1.rc2
- New upstream release candidate 2

* Tue Feb 26 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.0-1.rc1
- New upstream release candidate 1

* Mon Feb 25 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.10-1
- fixed for KDE4 and prepared for F9 Sulphur

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.7-4
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.7-3
- queued for mass rebuild for Fedora 8 - BUILDID

* Sat Dec 23 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.9.7-2
- Added fix for relative symlinks

* Mon Nov 27 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.9.7-1
- patch0 : fix for autoconf >= 2.6  & automake >= 2.10 in order to rpmbuild properly on rawhide

* Wed Nov 22 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.9.7-0.1
- Initial Package.
